<ng-container *ngIf="authService.user; let user">
  <div class="flex flex-nowrap flex-col-reverse lg:flex-row">
    <div
      class="flex mt-6 lg:mt-10 w-full lg:w-[255px] px-2 justify-center lg:justify-around"
    >
      <app-container-icon
        [icon]="'/assets/images/money.webp'"
        [value]="user.gold"
        class="mr-8 lg:mr-0"
      ></app-container-icon>
      <app-container-icon
        [icon]="'/assets/images/power.webp'"
        [value]="user.power"
      ></app-container-icon>
    </div>

    <div class="relative ml-4 lg:ml-auto mr-4 lg:mr-20">
      <img
        src="/assets/images/title.webp"
        alt=""
        class="m-auto"
        draggable="false"
      />
      <h1
        class="absolute text-xl text-white font-bold left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2 lg:mt-[-6px] shadow-title"
      >
        Add a trooper
      </h1>
    </div>
  </div>

  <div class="flex items-center lg:items-start flex-col lg:flex-row">
    <div class="flex mt-2 mb-6 lg:mb-0 lg:w-[255px] items-center flex-col">
      <app-troopers-block
        [troopers]="user.troopers"
        [context]="'navigation'"
      ></app-troopers-block>
    </div>

    <div class="flex flex-col mx-10 mt-1">
      <div class="text-textdescription mb-8">
        Sélectionne un trooper à ajouter à ton armée. Chaque jour de nouveaux
        troopers sont disponibles. Choisis ton trooper avec soin :
      </div>

      <div class="mx-10 mb-8">
        <app-choose-trooper
          [troopers]="displayedTroopers"
          [formGroup]="addForm"
        ></app-choose-trooper>
      </div>

      <div class="w-80 mx-auto">
        <app-command-button
          *ngIf="addCost > 0"
          [type]="'blue'"
          [text]="'Add for ' + addCost"
          [icon]="'/assets/images/token.webp'"
          (clicked)="addNewTrooper()"
        ></app-command-button>
      </div>
    </div>
  </div>
</ng-container>
